body,
html {
  // background-color: $default;
  // will-change: transform;
  z-index: -1;
  overflow-x: hidden;
  overflow-y: auto;
  height: 100%;
  width: 100%;
  font-size: 16px;
  // color: $white;
  @include scrollbars(0.5em, rgba(255, 255, 255, 0.37));
}

.main-overlay {
  background: url("/static/images/auth.bg.jpg");
  background-repeat: no-repeat;
  background-size: cover;
  // background-size: center center;
}

.auth-overlay {
  background: $auth-pattern;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  background-color: #000;
}

main {
  overflow-x: hidden;
  overflow-y: auto;
}

#main {
  padding-left: 220px;
  padding-right: 15px;
  transition: all 0.5s;
}

.container-fluid {
  padding-right: 0 !important;
  padding-left: 0 !important;
}

* {
  box-sizing: border-box;
}

p {
  color: $white;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  color: $white;
}

h1 {
  font-size: 21px;
}

a, a:hover {
  color: $white;
  text-decoration: none;
}

#breadcrumb {
  padding-bottom: 27px;
  padding-top: 13px;
  .address {
    text-align: right;
    font-size: 18px;
    font-weight: 400;
    span {
      color: $white;  
    }
    a {
      color: $white;
    }
  }
}

table tr{
  color: $white;
}

.mx {
  margin-right: $margin;
  margin-left: $margin;
}

.pb {
  padding-bottom: 5px;
}

.mb {
  margin-bottom: 20px;
}

.push {
  margin-left: auto;
}

.modal-title {
  color: $black;
}

input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus textarea:-webkit-autofill,
textarea:-webkit-autofill:hover textarea:-webkit-autofill:focus,
select:-webkit-autofill,
select:-webkit-autofill:hover,
select:-webkit-autofill:focus {
  -webkit-text-fill-color: #fff;
  -webkit-box-shadow: 0 0 0px 1000px transparent inset;
  box-shadow: 0 0 0px 1000px transparent inset;
  caret-color: white;
  transition: background-color 5000s ease-in-out 0s;
  border: 1px solid #4db1a7;
}

// forms styles
.feedback {
  text-align: right;
  font-size: 12px;
  color: #fd5d93;
}

label.required:after {
  content: "*";
  color: #fd5d93;
}

// table styles
.tools {
  cursor: pointer;
  &.status {
    color: #ddd!important;
    span:hover, span.active {
      color: #e14eca !important;
    }
  }
}

.form-label-inline {
  color: #fff;
}

.bg-blur {
  background-color: rgba(0, 0, 0, 0.5); 
}

// select input

// main: ../../styles.less

tag-input,
select-input {
  padding: 0;
  width: 100%;
  display: block;
  position: relative;
  border: 0.1rem solid rgba(255, 255, 255, 0.4);
  border-radius: 0.5rem;
  color: #fff;
  font-size: 1.4rem;
  font-weight: bold;
  background-color: transparent;
  text-align: left;
  cursor: text;
  @include transition(0.3s);
  &.input-focused,
  &.inputref-focused,
  &:hover {
    border-color: #fff;
  }
  &.is-empty,
  &.input-focused,
  &.inputref-focused {
    input.input-field {
      width: auto;
    }
  }
  &.input-disabled {
    cursor: default;
    input.input-field {
      display: none;
    }
  }
  .input-field {
    display: inline-block;
    width: 0.2rem;
    border: 0;
    padding: 0.3rem;
    background-color: transparent;
    color: #fff;
    &:focus, &:hover {
      border-color: black;
      outline: 0;
    }
  }
  input-item {
    display: inline-block;
    background: $white;
    color: #000;
    padding: 0.4rem;
    margin: 0.2rem;
    border-radius: 0.5rem;
    text-align: right;
    font-size: 12px;
    .input-item-remove {
      cursor: pointer;
      display: inline-block;
      padding: 0 0.3rem;
    }
  }
}

select-input {
  padding: 0;
  .select-list {
    width: 100%;
    max-height: 20rem;
    overflow-x: hidden;
    overflow-y: auto;
    position: absolute;
    left: 0;
    top: 100%;
    z-index: 10;
    //margin-top: 1rem;
    margin-top: 2px;
    background-color: black;
    border: 0.1rem solid rgba(255, 255, 255, 0.4);
    border-radius: 0.5rem;
    list-style: none;
    padding: 0;
    text-align: right;
    font-size: 15px;
    @include scrollbars(0.5em, rgba(255, 255, 255, 0.37));
    .select-option {
      padding: 1.2rem;
      z-index: 100;
      cursor: pointer;
      @include transition(0.3s);
      &.selected {
        background-color: rgba(255, 255, 255, 0.4);
      }
      &:hover,
      &.item-navigator {
        background-color: rgba(255, 255, 255, 0.4);
      }
    }
  }
}

// table
.table-wrapper {
  width     : 100%;
  overflow-y: auto;
  @include scrollbars(0.5em, rgba(255, 255, 255, 0.37));
}

.table {
  width          : 100%;
  table-layout   : auto;
  border-collapse: collapse;
  border-spacing : 0;
  color: #fff;
  .great {
    width: 100%;
  }

  thead {
    background-color: #6c0000;
    opacity: 0.8;
  }

  tr {
    vertical-align: middle;
    border-top    : 1px solid rgba(255,255,255,0.5);

    &:last-child {
      border-bottom: 1px solid red;
    }

    &:nth-child(even) {
      background-color: rgba(255,255,255,0.5);
    }
  }

  th {
    font-weight: bold;
  }

  td,
  th {
    padding    : 1rem;
    white-space: nowrap;

    &.wrap {
      white-space: pre-wrap;
    }

    &.limit {
      overflow     : hidden;
      text-overflow: ellipsis;
      max-width    : 200px;
    }
  }

  &.hover tr:hover {
    background-color: red;
  }

  &.select tr {
    cursor: pointer
  }

  .list-icon {
    max-width : 3rem;
    max-height: 2.2rem;
    margin    : auto;
  }

  .list-wrapper {
    box-shadow      : 3px 6px 15px #666;
    position        : absolute;
    background-color: #fff;
    z-index         : 9999;

    .list {
      list-style-type: none;
      padding        : 20px;

      li {
        padding-top: 10px;
      }
    }
  }

  .hidden {
    display: none;
  }

  .truncate-cell {
    max-width: 120px;
    position : relative;
    cursor   : help;

    .text-truncate {
      overflow     : hidden;
      text-overflow: ellipsis;
      white-space  : nowrap
    }
  }
}

// dashboard cards
.card-light-title {
  background-color: #6c0000;
  font-size: 18px;
  margin-bottom: 5px;
}

.time{
  font-weight: 600;
  &-minute{
    font-size: 18px;
    color: #fff;
  }
  &-second{
    font-size: 16px;
    color: #fff;
  }
}

.dashboard .card-content {
  color: #000;
  font-weight: 900;
  font-size: 20px;
}

// video
.upload-video-label {
  width        : 100%;
  border       : 5px dashed #ccc;
  padding      : 20vh 2rem;
  text-align   : center;
  border-radius: 5px;
  cursor       : pointer;

  input[type='file'] {
    width     : 0;
    display   : none;
    visibility: hidden;
  }

  .title,
  .description {
    display: inline-block;
    width  : 100%;
  }

  .bad-file {
    color: red !important;
  }

}

// buttons
.btn-outline {
  outline: none;
  background-color: transparent;
  border: 1px solid #ddd;
  color: #ddd;
  border-radius: 15px;
  padding: 10px 20px;
  font-family: 'tanha';
  font-size: 14px;
  &:hover {
    color: #fff;
  }
}

.btn-tab {
  outline: none;
  border: 0;
  background-color: transparent;
  color: #ddd;
  padding: 10px 20px;
  font-family: 'tanha';
  font-size: 14px;
  &:focus, &.active-tab {
    border-top: 0;
    border-right: 0;
    border-left: 0;
    border-bottom: 1px solid #ddd;
    outline: none;
  }
  &:hover {
    color: #fff;
  }
}

.input-group-pagination {
  button[type="submit"], input {
    min-height: 2.7rem!important;
  }
  button[type="submit"] {
    background-color: transparent!important;
  }
}

.btn-paginition {
  background-color: transparent;
  color: #ddd;
  // min-height   : 3.9rem;
  padding      : 0.6rem 1rem;
  line-height  : 1.5rem;
  border-radius: 0.6rem;
  margin: 2px;
  border: 1px solid #ccc;
  &:disabled {
    cursor: not-allowed;
  }
}

.btn-primary {
  outline: none;
  background-color: transparent;
  border: 1px solid #ddd;
  color: #ddd;
  border-radius: 15px;
  padding: 10px 20px;
  font-family: 'tanha';
  font-size: 14px;
  &:hover {
    color: #fff;
  }
}

.btn-warning {
  outline: none;
  background-color: transparent;
  border: 1px solid #ddd;
  color: #ddd;
  border-radius: 15px;
  padding: 10px 20px;
  font-family: 'tanha';
  font-size: 14px;
  &:hover {
    color: #fff;
  }
}

// dropzone
.selected-images {
  .selected-image-item {
    width: 10rem;
    height: 10rem;
    position: relative;
    border: 0.2rem dashed #ddd;
    border-radius: 1rem;
    text-align: center;
    padding: 30px;
    cursor: pointer;
    transition: all 200ms;
    &:hover {
      border-color: #ccc;
    }
    .icon {
      width: 3rem;
      height: 3rem;
      font-size: 3rem;
      display: block;
      position: absolute;
      top: 0;
      bottom: 0;
      left: 0;
      right: 0;
      margin: auto;
      transition: all 200ms;
      &:before {
        vertical-align: top;
      }
    }
    img {
      width: 100%;
      height: 100%;
      opacity: 1;
      transition: all 200ms;
    }
    .icon {
      color: red;
      opacity: 0;
    }
    &:hover {
      img {
        opacity: 0.25;
      }
      .icon {
        opacity: 1;
      }
    }
  }
}

.search-input {
  width             : 100%;
  // min-height        : 4.7rem;
  -webkit-appearance: none;
  -moz-appearance   : none;
  appearance        : none;
  border            : 0.1rem solid #ddd;
  border-radius     : 0.5rem;
  color             : #fff;
  padding           : 10px;
  font-size         : 15px;
  font-weight       : bold;
  background-color  : transparent;
  resize            : none;
  transition: all 0.3s;
  // margin: 1px;
}

// radio
/* The container */
.radio-container {
  display: inline-block;
  position: relative;
  padding-left: 35px;
  margin-bottom: 12px;
  cursor: pointer;
  font-size: 16px;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  margin: 0 20px;
  color: #fff;
  /* Hide the browser's default radio button */
  input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
  }
  /* Create a custom radio button */
  .checkmark {
    position: absolute;
    top: 0;
    left: 0;
    height: 25px;
    width: 25px;
    background-color: transparent;
    border: 1px solid #ccc;
    border-radius: 50%;
  }
  /* On mouse-over, add a grey background color */
  &:hover input ~ .checkmark {
    background-color: #ccc;
  }
  /* When the radio button is checked, add a blue background */
  input:checked ~ .checkmark {
    background-color: #6c0000;
  }
  /* Create the indicator (the dot/circle - hidden when not checked) */
  .checkmark:after {
    content: "";
    position: absolute;
    display: none;
  }
  /* Show the indicator (dot/circle) when checked */
  input:checked ~ .checkmark:after {
    display: block;
  }
  /* Style the indicator (dot/circle) */
  .checkmark:after {
    top: 4px;
    left: 4px;
    width: 16px;
    height: 16px;
    border-radius: 50%;
    background: white;
  }
}

// dropzone 

dropzone-images {
  .selected-item {
    width: 10rem;
    height: 10rem;
    position: relative;
    border: 0.2rem dashed #ddd;
    border-radius: 1rem;
    text-align: center;
    padding: 3rem;
    cursor: pointer;
    transition: all 200ms;
    &:hover {
      border-color: #ccc;
    }
    .icon {
      width: 3rem;
      height: 3rem;
      font-size: 3rem;
      display: block;
      position: absolute;
      top: 0;
      bottom: 0;
      left: 0;
      right: 0;
      margin: auto;
      transition: all 200ms;
      &:before {
        vertical-align: top;
      }
    }
  }
  .add-image-button {
    width: 10rem;
    height: 10rem;
    position: relative;
    border: 0.2rem dashed #ddd;
    border-radius: 1rem;
    text-align: center;
    padding: 3rem;
    cursor: pointer;
    transition: all 200ms;
    &:hover {
      border-color: #ccc;
    }
    .icon {
      width: 3rem;
      height: 3rem;
      font-size: 3rem;
      display: block;
      position: absolute;
      top: 0;
      bottom: 0;
      left: 0;
      right: 0;
      margin: auto;
      transition:all 200ms;
      &:before {
        vertical-align: top;
      }
    }
    .icon {
      color: #ccc;
    }
    &:hover {
      .icon {
        color: #ddd;
      }
    }
  }
  .selected-images {
    .selected-image-item {
      width: 10rem;
      height: 10rem;
      position: relative;
      border: 0.2rem dashed #ddd;
      border-radius: 1rem;
      text-align: center;
      padding: 3rem;
      cursor: pointer;
      transition: all 200ms;
      &:hover {
        border-color: #ccc;
      }
      .icon {
        width: 3rem;
        height: 3rem;
        font-size: 3rem;
        display: block;
        position: absolute;
        top: 0;
        bottom: 0;
        left: 0;
        right: 0;
        margin: auto;
        transition: all 200ms;
        &:before {
          vertical-align: top;
        }
      }
      img {
        width: 100%;
        height: 100%;
        opacity: 1;
        transition: all 200ms;
      }
      .icon {
        color: #ddd;
        opacity: 0;
      }
      &:hover {
        img {
          opacity: 0.25;
        }
        .icon {
          opacity: 1;
        }
      }
    }
  }
  &-modal {
    .overlay {
      position: fixed;
      display: block;
      top: 0;
      right: 0;
      bottom: 0;
      left: 0;
      background-color: rgba(0, 0, 0, .54);
      transform: translateZ(0);
      z-index: 50;
      cursor: pointer;
    }
    .wrapper {
      position: fixed;
      display: block;
      top: 10rem;
      bottom: 10rem;
      right: 25%;
      left: 5%;
      transform: translateZ(0);
      z-index: 51;
      height: 31rem!important;
      @media (max-width: 768px) {
        right: 5%;
      }
      &.wall {
        background-color: rgba(0, 0, 0, 0.7);
        padding-top: 0;
        padding-bottom: 0;
        box-shadow: 0 0 0 0;
        -webkit-box-shadow: 0 0 0 0;
        -moz-box-shadow: 0 0 0 0;
        border: 1px solid #ccc;
        padding: 10px;
      }
      .header {
        padding-top: 14px;
        padding-bottom: 14px;
        #upload-button {
          display: none;
        }
      }
      .dzcontent {
        width: auto;
        height: auto;
        position: absolute;
        /* top: 6.5rem; // Fill with Component */
        bottom: 14px;
        left: 0;
        right: 0;
        margin: 0;
        overflow-x: hidden;
        overflow-y: auto;
        &::-webkit-scrollbar {
          width: 1rem;
          background-color: transparent;
        }
        &::-webkit-scrollbar-track {
          background-color: transparent;
        }
        &::-webkit-scrollbar-thumb {
          border-radius: 0.3rem;
          background-color: #ccc;
        }
        transition: all 200ms;
        &.drag-over {
          background-color: #ccc;
        }
        &.illegal-file {
          background-color: #ddd;
        }
        .dropzone-image-item {
          border: 0.2rem dashed #ccc;
          border-radius: 1rem;
          position: relative;
          overflow: hidden;
          cursor: pointer;
          height: 150px;
          width: 150px;
          transition: all 200ms;
          &:hover {
            border-color: #ccc;
            .item-name {
              top: 0;
            }
            .item-tools {
              bottom: 0;
            }
          }
          &.selected {
            border-color: orange;
            .item-image {
              filter: grayscale(100%);
              -webkit-filter: grayscale(100%);
              -ms-filter: grayscale(100%);
            }
          }
          .item-image {
            width: 100%;
            height: auto;
            padding: 0.5rem;
            box-sizing: border-box;
            transition: all 200ms;
          }
          .item-name {
            position: absolute;
            top: -5rem;
            left: 0;
            right: 0;
            display: block;
            padding: 0.5rem 1rem;
            background-color: white;
            /* color: @white; */
            font-size: 1.4rem;
            text-align: left;
            direction: ltr;
            overflow: hidden;
            white-space: nowrap;
            text-overflow: ellipsis;
            z-index: 52;
            transition: all 200ms;
          }
          .item-tools {
            position: absolute;
            bottom: -5rem;
            left: 0;
            right: 0;
            text-align: center;
            background-color: white;
            /* color: @white; */
            z-index: 52;
            transition: all 200ms;
            .view-item,
            .delete-item {
              width: 45%;
              display: inline-block;
              text-align: center;
              padding: 0.5rem;
              /* font-size: 1.4rem; */
            }
            .view-item {
              color: #ccc;
            }
            .delete-item {
              color: red;
            }
          }
        }
      }
    }
  }
}

.selected-images {
  .selected-image-item {
    width: 10rem;
    height: 10rem;
    position: relative;
    border: 0.2rem dashed #ccc;
    border-radius: 1rem;
    text-align: center;
    padding: 3rem;
    cursor: pointer;
    transition: all 200ms;
    &:hover {
      border-color: #ddd;
    }
    .icon {
      width: 3rem;
      height: 3rem;
      font-size: 3rem;
      display: block;
      position: absolute;
      top: 0;
      bottom: 0;
      left: 0;
      right: 0;
      margin: auto;
      transition: all 200ms;
      &:before {
        vertical-align: top;
      }
    }
    img {
      width: 100%;
      height: 100%;
      opacity: 1;
      transition: all 200ms;
    }
    .icon {
      color: red;
      opacity: 0;
    }
    &:hover {
      img {
        opacity: 0.25;
      }
      .icon {
        opacity: 1;
      }
    }
  }
}

.blog-page p {
  color: #000;
}

.cursor-pointer {
  cursor: pointer;
}

.bg-tiber {
  background-color: rgba(252,0,0, 0.7);
  padding: 5px;
}

.bg-ticer {
  background-color: rgba(230,0,0, 0.7);
  padding: 2px;
}